#include <Servo.h>
Servo myservo;

#define servo_pos_default 0
#define servo_pos_max 180 // 動く角度
#define censor_value_min 960 //シリアルモニターに表示された一番小さい数字に変える
#define censor_value_max 1000 //シリアルモニターに表示された一番大きい数字に変える

int val;
int pos;

void setup() {
  Serial.begin(9600);
  myservo.attach(9);
}

void loop() {
  val = analogRead(A0);
  Serial.println(val);

  pos = constrain(val, censor_value_min, censor_value_max);
  pos = map(pos, censor_value_min, censor_value_max, servo_pos_default, servo_pos_max);
  myservo.write(pos);
  delay(100);
}
