#include <Servo.h>
Servo myservo;
int pos = 0;

const int threshold = 10;  //反応しすぎたり、逆に反応しなかったりするい場合はここの数字を変える

int sensorReading = 0;
int ledState = LOW;

void setup() {
  pinMode(LED_BUILTIN, OUTPUT);
  Serial.begin(9600);
  myservo.attach(9);
}

void loop() {
  sensorReading = analogRead(A0);
  
  if (sensorReading >= threshold) {
    ledState = !ledState;
    digitalWrite(LED_BUILTIN, ledState);
    Serial.println("Knock!");
    for (pos = 0; pos <= 180; pos += 1) {
      myservo.write(pos);
      delay(15);
    }
    for (pos = 180; pos >= 0; pos -= 1) {
      myservo.write(pos);
      delay(15);
    }
  } else {
    for (pos = 0; pos <= 0; pos += 1) {
      myservo.write(pos);
      delay(15);
    }
  }
}
